- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# EmailSender Class Reference

Rudimentary class to send email from code. More...

`#include <EmailSender.h>`

List of all members.

## Public Member Functions
const char * | Send (const char *hostAddress, unsigned short hostPort, const char *sender, const char *recipient, const char *senderName, const char *recipientName, const char *subject, const char *body, FileList *attachedFiles, bool doPrintf, const char *password)

## Detailed Description

Rudimentary class to send email from code.

## Member Function Documentation

const char * EmailSender::Send | ( | const char * | hostAddress,
|  | unsigned short | hostPort,
|  | const char * | sender,
|  | const char * | recipient,
|  | const char * | senderName,
|  | const char * | recipientName,
|  | const char * | subject,
|  | const char * | body,
|  | FileList * | attachedFiles,
|  | bool | doPrintf,
|  | const char * | password |
| ) |  |  |

Sends an email

Parameters:

  `[in]` | hostAddress | The address of the email server.
  `[in]` | hostPort | The port of the email server (usually 25)
  `[in]` | sender | The email address you are sending from.
  `[in]` | recipient | The email address you are sending to.
  `[in]` | senderName | The email address you claim to be sending from
  `[in]` | recipientName | The email address you claim to be sending to
  `[in]` | subject | Email subject
  `[in]` | body | Email body
  `[in]` | attachedFiles | List of files to attach to the email. (Can be 0 to send none).
  `[in]` | doPrintf | true to output SMTP info to console(for debugging?)
  `[in]` | password | Used if the server uses AUTHENTICATE PLAIN over TLS (such as gmail)

Returns:
  0 on success, otherwise a string indicating the error message

The documentation for this class was generated from the following files:

- C:/RakNet/Source/EmailSender.h
- C:/RakNet/Source/EmailSender.cpp